import { BehaviorSubject, Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class NgxLoadingSpinnerService {
    /**
       * @description spinners BehaviorSubject
       * @memberof NgxLoadingSpinnerService
       */
    spinnerSubject: BehaviorSubject<any>;
    /**
     * Creates an instance of NgxLoadingSpinnerService.
     * @memberof NgxLoadingSpinnerService
     */
    constructor();
    /**
     * To show spinner
     * @memberof NgxLoadingSpinnerService
     */
    show(): void;
    /**
     * To hide spinner
     * @memberof NgxLoadingSpinnerService
     */
    hide(): void;
    getMessage(): Observable<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxLoadingSpinnerService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NgxLoadingSpinnerService>;
}
